import React from "react";
import { Table } from "antd";
import styled from 'styled-components'

const DataTable = styled.div`
  .table-style {
    .ant-table-thead {
      > tr {
        > th {
          background: #e3eefd !important;
        }
      }
    }
  }
`

export default function DataTableStruct({formData, tableData}) {
  const columns = [
    {
      title: '序号',
      dataIndex: 'id',
      key: 'id',
    },
    {
      title: '字段',
      dataIndex: 'field',
      key: 'field',
    },
    {
      title: '类型',
      dataIndex: 'type',
      key: 'type',
    },
  ]

  return (
    <DataTable>
      <Table columns={columns} dataSource={tableData} className={'table-style'} />
    </DataTable>
  )
}